.c-modal {
    &-dialog {

        max-width: 800px;
    }

    &-content {
        border: 0;
        border-radius: 20px;
    }

    &-close {
        position: absolute;
        right: -15px;
        top: -15px;
        background-color: red;
        height: 30px;
        width: 30px;
        opacity: 1;
        border-radius: 30px;
        line-height: 30px;
        font-size: 28px;
        font-weight: bold;
        color: white;
        text-align: center;
        cursor: pointer;
    }

    &-header {
        // background: #40D49C;
        // height: 53px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        border: 0;
        // border-radius: 20px;
        padding: 0;
        margin: 0 3rem;
        margin-top: 1rem;
        border-bottom: 1px solid #EBEBEB;
    }

    &-body {
        border: 0;
        border-radius: 0;
    }

    &-footer {
        border: 0;
        border-radius: 0;
        justify-content: center;
    }

    &-title {
        font-size: 16px;
        text-transform: uppercase;
        color: black;
        font-weight: bold;
        line-height: 53px;
    }
}

.c1-modal {
    $c1-modal-height: 53px;
    $c1-modal-content-border-radius: 0;

    &-dialog {
        max-width: 738px;
    }
    &-close {
        position: absolute;
        right: -15px;
        top: -15px;
        background-color: red;
        height: 30px;
        width: 30px;
        opacity: 1;
        border-radius: 30px;
        line-height: 30px;
        font-size: 28px;
        font-weight: bold;
        color: white;
        text-align: center;
        cursor: pointer;
    }
    &-header {
        background: white;
        height: $c1-modal-height;
        color: black;
        font-size: 18px;
        font-weight: 500;
        padding: 0 1rem;
        border-radius: $c1-modal-content-border-radius;
        border: none;
        text-transform: uppercase;
        border-bottom: 1px solid #EBEBEB;
    }

    &-body {
        border: none;
        padding: 3rem;
    }

    &-title {
        line-height: $c1-modal-height;
    }

    &-content {
        border-radius: $c1-modal-content-border-radius;
        border: none
    }
}

.c2-modal {
    background-color: rgba(0, 0, 0, .5);
    &-content {
        border-radius: 0;
        border: none
    }

    &-dialog {
        max-width: 738px;
    }

    &-body {
        text-align: center;
        border: none;
        padding: 3rem;
    }
}

.c3-modal {
    &-dialog {

        max-width: 1567px;
    }

    &-content {
        border: 0;
        border-radius: 0;
    }

    &-header {
        background: #40D49C;
        height: 53px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        border: 0;
        border-radius: 0;
        padding: 0 1rem;
    }

    &-body {
        border: 0;
        border-radius: 0;
    }

    &-footer {
        border: 0;
        border-radius: 0;
        justify-content: center;
    }

    &-title {
        font-size: 16px;
        text-transform: uppercase;
        color: white;
        font-weight: normal;
        line-height: 53px;
    }
}

.c4-modal {
    $c1-modal-height: 53px;
    $c1-modal-content-border-radius: 0;

    &-dialog {
        max-width: 100%;
        width: 1716px;
        // min-width: 100%;
        padding: 1rem;
    }

    &-header {
        // background: #07CEAB;
        height: $c1-modal-height;
        color: black;
        font-size: 18px;
        font-weight: 500;
        padding: 0 1rem;
        border-radius: $c1-modal-content-border-radius;
        border: none;
    }

    &-body {
        border: none;
        padding: 0;
    }

    &-title {
        line-height: $c1-modal-height;
    }

    &-content {
        border-radius: $c1-modal-content-border-radius;
        border: none;
        margin: 0 auto!important;

    }

    &.full {
        padding: 0 !important;

        .c4-modal-dialog {
            padding: 0 !important;
            margin: 0 !important;
            width: 100%;
        }

        .c4-modal-body {
            // min-height: 100vh;
            // height: 100%;
            max-height: calc(100vh - 69px - 53px);
            min-height: calc(100vh - 69px - 53px);
            overflow: scroll;
            overflow-x: hidden;
        }
    }

    &-footer {
        label {
            margin: 0;
        }

        padding: 0.75rem 3rem;
    }
}

.c5-modal {
    $c1-modal-height: 53px;
    $c1-modal-content-border-radius: 0;

    &-dialog {
        max-width: 100%;
        width: 1716px;
        // min-width: 100%;
        padding: 1rem;
    }

    &-header {
        // background: #07CEAB;
        height: $c1-modal-height;
        color: black;

        font-size: 18px;
        font-weight: 500;
        padding: 0 1rem;
        border-radius: $c1-modal-content-border-radius;
        border: none;
    }

    &-body {
        border: none;
        padding: 0;
    }

    &-title {
        line-height: $c1-modal-height;
    }

    &-content {
        border-radius: $c1-modal-content-border-radius;
        border: none
    }

    &.full {
        padding: 0 !important;

        .c5-modal-dialog {
            padding: 0 !important;
            margin: 0 !important;
            width: 100%;
        }

        .c5-modal-body {
            // min-height: 100vh;
            // height: 100%;
            max-height: calc(100vh - 53px);
            min-height: calc(100vh - 53px);
            overflow: scroll;
            overflow-x: hidden;
        }
    }

    &-footer {
        label {
            margin: 0;
        }

        padding: 0.75rem 3rem;
    }
}